// Package v10 ...
//
// Description : v10 ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2025-01-24 11:09
package v10

import "git.zhangdeman.cn/gateway/validator/v10/abstract"

// validatorRuleExpressGenerateFunc 验证规则表达式生成方法
var validatorRuleExpressGenerateFunc abstract.IValidateRuleGenerateFunc = DefaultValidateRuleGenerateFunc

// validatorRuleExpressGenerateFunc 字段验证规则生成默认表达式
var fieldValidatorRuleExpressGenerateFunc abstract.IFieldValidateRuleGenerateFunc = DefaultFieldValidateRuleGenerateFunc

// SetValidatorRuleExpressGenerateFunc 使用自定义的验证规则表达式函数覆盖默认的函数
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:11 2025/1/24
func SetValidatorRuleExpressGenerateFunc(generateFunc abstract.IValidateRuleGenerateFunc) {
	if nil == generateFunc {
		return
	}
	validatorRuleExpressGenerateFunc = generateFunc
}

// SetFieldValidatorRuleExpressGenerateFunc 字段默认表达式生成规则
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:56 2025/1/24
func SetFieldValidatorRuleExpressGenerateFunc(generateFunc abstract.IFieldValidateRuleGenerateFunc) {
	if nil == generateFunc {
		return
	}
	fieldValidatorRuleExpressGenerateFunc = generateFunc
}
